For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate a snapshot
      • GETList snapshots
      • GETGet a snapshot
      • DELDelete a snapshot
      • POSTRestore a snapshot
      • GETGet records from a snapshot
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSnapshots

Create a snapshot

POST
https://api.x.flatfile.com/v1/snapshots
POST
/v1/snapshots
$curl -X POST https://api.x.flatfile.com/v1/snapshots \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sheetId": "us_sh_YOUR_ID",
> "label": "My snapshot"
>}'
1{
2 "data": {
3 "id": "us_ss_YOUR_ID",
4 "sheetId": "us_sh_YOUR_ID",
5 "createdAt": "2023-01-01T00:00:00Z",
6 "createdBy": "us_usr_YOUR_ID",
7 "label": "My snapshot",
8 "summary": {
9 "createdSince": {
10 "total": 0
11 },
12 "updatedSince": {
13 "total": 5,
14 "byField": {
15 "lastName": 5
16 }
17 },
18 "deletedSince": {
19 "total": 5,
20 "byField": {
21 "firstName": 1
22 }
23 },
24 "schemaDiff": {
25 "firstName": "added",
26 "lastName": "removed",
27 "email": "unchanged"
28 },
29 "config": {
30 "name": "Contacts",
31 "fields": [
32 {
33 "type": "string",
34 "key": "firstName",
35 "label": "First Name"
36 },
37 {
38 "type": "string",
39 "key": "lastName",
40 "label": "Last Name"
41 },
42 {
43 "type": "string",
44 "key": "email",
45 "label": "Email"
46 }
47 ],
48 "slug": "contacts",
49 "mappingConfidenceThreshold": 0.5
50 }
51 }
52 }
53}
Creates a snapshot of a sheet
Was this page helpful?
Previous

List snapshots

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
sheetIdstringRequired
ID of sheet
labelstringOptional
Label for the snapshot
threadIdstringOptional
ID of thread to associate with the snapshot

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error